tigase.jaxmpp.core.client.xmpp.modules.auth

## Interface CredentialsCallback

- All Known Implementing Classes:
    AuthModule.DefaultCredentialsCallback

      public interface CredentialsCallback

  With this callback user password may be not stored in SessionObject but may be calculated my class.

  Callback must be stored in SessionObject with key AuthModule.CREDENTIALS_CALLBACK.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCredential()`

- - ### Method Detail

    - #### getCredential

          String getCredential()

Copyright © 2006–2020 Tigase. All rights reserved.